[resolved] 2.6 comment posting says "Error: please fill the required fields (name, email)." (3 posts)

  1. swaroopch
    Posted 7 years ago #

    Commenting on my WordPress 2.5 installation works fine. But in 2.6, it says "Error: please fill the required fields (name, email)." even when all the information is entered (and there's no captcha).

    Anybody else facing this issue?

    Update: When I untick "Comment author must fill out name and e-mail" in the Discussion settings page, it seems to work fine.

  2. swaroopch
    Posted 7 years ago #

    Strange. I just renamed everything in the comment form and wp-comments-post.php from 'email' to 'email2' and it's working again!

  3. hardeeps
    Posted 6 years ago #

    I had the same problem, and I was able to get to the root cause. I had 'subscribe to comment' plugin installed, and had added code to comments.php [show_manual_subscription_form();] to allow users to subscribe without commenting. However, instead of adding it after the </form> tag (as recommended), I had added just before the </form> tag.

    @swaroopch your solution would also solve the problem, but its a workaround. Maybe its good for you (and others who, like me, might find the page in future) to know.

    Hardeep Singh

Topic Closed

This topic has been closed to new replies.

About this Topic